Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Class TreeModelAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.TreeModelAction

All Implemented Interfaces:
  EventListener, TreeModelListener

public class TreeModelAction
extends AbstractAction
implements TreeModelListener

Actionimplementierung fuer TreeModelEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`TreeModelAction()`

Method Summary
`void` | `doTreeNodesChanged(TreeModelEvent tme)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doTreeNodesInserted(TreeModelEvent tme)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doTreeNodesRemoved(TreeModelEvent tme)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doTreeStructureChanged(TreeModelEvent tme)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `treeNodesChanged(TreeModelEvent tme)`
`void` | `treeNodesInserted(TreeModelEvent tme)`
`void` | `treeNodesRemoved(TreeModelEvent tme)`
`void` | `treeStructureChanged(TreeModelEvent tme)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeModelAction

    public TreeModelAction()

Method Detail

### treeNodesChanged

    public void treeNodesChanged(TreeModelEvent tme)

  Specified by:
    `treeNodesChanged` in interface `TreeModelListener`

### doTreeNodesChanged

    public void doTreeNodesChanged(TreeModelEvent tme)
                            throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `tme` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### treeNodesInserted

    public void treeNodesInserted(TreeModelEvent tme)

  Specified by:
    `treeNodesInserted` in interface `TreeModelListener`

### doTreeNodesInserted

    public void doTreeNodesInserted(TreeModelEvent tme)
                             throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `tme` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### treeNodesRemoved

    public void treeNodesRemoved(TreeModelEvent tme)

  Specified by:
    `treeNodesRemoved` in interface `TreeModelListener`

### doTreeNodesRemoved

    public void doTreeNodesRemoved(TreeModelEvent tme)
                            throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `tme` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### treeStructureChanged

    public void treeStructureChanged(TreeModelEvent tme)

  Specified by:
    `treeStructureChanged` in interface `TreeModelListener`

### doTreeStructureChanged

    public void doTreeStructureChanged(TreeModelEvent tme)
                                throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `tme` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD